Create Order

Order

post

Dependency: Verify function should be called in prior to this call.

The booking requirements need to be read from the "bookingRequirement" array in the "verify.do" response. The "Booking Requirements" can be different at the route level. Alternatively, you can add all the details but please note that all the fields should have actual data and not fictitious information. Please follow this approach.

Endpoint: https://sandbox.atriptech.com/order.do

Header parameters
AcceptstringRequiredExample: application/json
Content-TypestringRequiredExample: application/json
Accept-EncodingstringRequiredExample: gzip
x-atlas-client-idstringRequiredExample: <YOUR_CLIENT_ID>
x-atlas-client-secretstringRequiredExample: <YOUR_CLIENT_SECRET>
Body
sessionIdstring · nullableOptional

sessionIdreturned by verify response. If you got offer by verify api, then this parameter is required.

offerIdstring · nullableOptional

offerIDreturned by get offer response. If you got offer by "get offer" api, then this parameter is required.

useAtlasMailForContactboolean · nullableOptional

The tag denoting whether to use Atlas email id for contact information.

  • true: Use Atlas email as contact email.
  • false: It is determined according to the strategy agreed upon with the customer or the default strategy of the system.

Please refer to the terms and conditions for usage of Atlas email.

Default: false
requestSourcestring · nullableOptional

The tag to identify which channel does this traffic come from. For example: SkyScanner,Google,Oganic search,etc…

ifSeatOccupiedstring · enum · nullableOptional

Configuration of ordering when the seat is occupied.

  • SIMILAR_SEAT: Select a similar seat automatically
  • STOP_SEAT: Stop seat and continue ticketing
  • STOP_TICKET: Stop ticketing and cancel the order The default value isSIMILAR_SEAT.
Possible values:
localestring · nullableOptional

The country and language environment preferences of the ticket purchaser/contact person. This information may be useful for certain airlines. For example, airlines will use this information to communicate with users in appropriate languages (e.g., via emails). We have prepared the language environments supported by each airline for your reference: Locale

Responses
chevron-right
200Success
application/json
statusinteger · enumRequired
  • 301: Session does not exist or timed out. Description: The "sessionID" has a validity of 2 hrs. If the “sessionID” is used after this time period, then this error is displayed
  • 302: The target flight is no longer available. Description: In the period between verify and book, the flight has been sold out. This can also be due to the number of passengers booked. The number of pax when booking and the number of pax when verifying may be different. When create a booking, the price is verified based on the actual number of pax booked
  • 303: Airline closed. Description: Airline has either ceased to exist or not operational.
  • 304: Verify failed. Description: In some uncontrollable situations, such as network issues, upgrades, and restarts, 304 error may occur, but not many. If there are many 304 errors, it is possible that the airline is not available or some technical issue at Atlas' end. Contact your account manager if this error keeps on repeating.
  • 305: Invalid routing. Description: When generating an order, the system found that the flight was no longer sold for various reasons, such as 1) L2B 2) The system has identified that there may be a risk of the flight being sold out 3) The airline's sales have been closed
  • 307: Illegal booking request parameters. Description: Some request parameters have problem. Please check the message.
  • 308: Price changed. Description: The price has changed between the price verification and order. Please verify the price again and generate the order.
  • 309: Ancillary not found. Description: Incorrect ancillary product code has been entered. Check and enter the correct ancillary product code.
  • 310: Infant not allowed. Description: The offer does not support infant. Create a new booking without infant passenger type.
  • 312: Too many seats booked. Description: The number of pax booked exceeds the remaining (or allowed) seats on the current flight.
  • 313: Fare family sold out. Description: Selected offer is no longer available. Conduct the search again and rebook.
  • 315: Not enough seats. Description: Seats have been sold out
  • 316: Timed out. Description: There is a time-out error at the airline’s end
  • 317: Booking unsuccessful with Airline. Description: An error has happened at the airline’s end.
  • 318: Check if a booking with the same passenger details and flight numbers exists. After confirming, ignore this booking.
  • 319: Flight information has changed. Description: Re-verify the price (query the latest flight information) and generate the order.
  • 320: The requested seats were not found or they are already occupied. Description: Rebook seats and submit a new order.
  • 321:
  • 322: Seat price changed. Description: Seat price changed. Re-query the seat map and select seats
  • 323: The format of the e-mail in the contact information is incorrect
  • 324: Airline system issues. Description: Retry after some time. If the issue persists, please contact our operations team.
  • 325: The airline has deemed the passenger unserviceable
  • 326: Your account balance on the airline side is insufficient(BYOA scenario)
  • 327: Passenger information does not meet the requirements. Description: Check and correct the passenger information according to the error message
  • 328: Selected seat is no longer available. Description: The selected seat has been occupied.
  • 329: No payment method is available. Description: No payment method is available. Please check whether the quotation currency or account configuration is correct.
  • 330: operation is in progress. Description: operation is in progress
  • 407: Some mandatory element for the passenger has not been submitted.. Description: Check the information and correct the same and resubmit.
  • 408: Passenger can not board alone. Description: Create a new order and add an adult passenger with the child passenger
  • 409: Additional baggage does not match the flight segment. Description: Luggage purchased for each segment of a connecting flight must be the same.
  • 410: The contact information is not in the correct format.. Description: Check the contact information and confirm that it matches the required format.
Possible values:
msgstringRequired

It serves as an additional description of the response result. Especially when the interface reports an error (status !=0), it is usually a human-readable error message. Note: Do not use this field in any programming scenarios. For example, do not judge whether the interface responds successfully based on this field. Instead, you should only determine it by checking whether the status is equal to0at any time.

sessionIdstringRequired

Echo thesessionIdin the request parameters.

offerIdstring · nullableOptional

Echo theofferIdin the request parameters.

orderNostringRequired

Order number of the created order.

pnrCodestringRequired

The pnrCode is the single reference for the booking. This is the Atlas PNR, not airline's.

totalPricenumberRequired

Total price(not including service fee) of this order in the currency TheAtlas settled with you

totalTransactionFeenumberRequired

Total technical fees for this order in the currency TheAtlas settled with you.

currencystringRequired

The currency TheAtlas settled with you.

vendorTotalPricenumber · nullableOptional

Total price of this order in the vendor's currency, reference for you to generate the specific credit card.

vendorCurrencystring · nullableOptional

Vendor's currency.

tktLimitTimestringRequired

Payment deadline for this order. This time will be displayed in SGT (GMT +8). The fromat is:yyyy-MM-dd HH:mm:ss.

duplicateOrdersstring[] · nullableOptional

If the api returns error code318(duplicate booking), then the list will contain duplicate order numbers.

post
/order.do
200Success

Last updated

Was this helpful?